Subject: bug#1749: 23.0.60; Emacs manual, node Mode Line

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 10 Jul 2011 16:41:40 +0200

"Drew Adams" <[email-masked]> writes:

> This node deserves more and more careful explanation. The text seems
> overly difficult and unclear.
>
> It describes the constituents of this template:
>
>      -CS:CH-FR  BUF      POS LINE   (MAJOR MINOR)------
>
> However, some of the unnamed elements of this template are just as
> variable as the elements that are named. The descriptions then become
> a labyrinth of if-then-else anecdotes. The `:', for instance, is
> referred to as "the character after CS', and it is explained that it
> is sometimes `:', sometimes `\', sometimes `/', and sometimes
> `(Unix)'. That's at least as variable as CS or CH - might as well give
> it a name too.

I think it's visually more apparent what we're talking about if we leave
the colon as a colon, so I think I'll leave that as it is.

> Some of the language used is incorrect: "Letters represent various
> nontrivial "coding systems"--for example, `1' represents ISO Latin-1."
> But `1' is not a letter.

I've fixed that one.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/